CMCICLIENTFT.ENUMINSTANCENAMES(3)

NAME
CMCIClientFT.enumInstanceNames() - Enumerate instance names of a class

SYNOPSIS
#include <cmci.h>

CMPIEnumeration*
CMCIClientFT.enumInstanceNames(CMCIClient*cl,
CMPIObjectPath*op,
CMPIStatus*rc);

DESCRIPTION
Enumerate Instance Names of the class (and subclasses) defined by op.

Arguments are the client object pointer cl, an ObjectPath object pointer op with the reference that contains namespace and classname components, and rc which returns the operation status (suppressed when NULL).

RETURN VALUE
When successful the CMCIClientFT.enumInstanceNames() function returns a pointer to a CMPIEnumeration object that contains strings for each instance name found for the class and sets a successful operation status code in rc. When unsuccessful it returns a NULL pointer and sets the operation status error code and corresponding error string in rc.

ERRORS

EXAMPLES
   CMCIClient *cc;
   CMPIObjectPath * objectpath;
   CMPIInstance * instance;
   CMPIEnumeration * enumeration;
   CMPIStatus status;

   /* Setup a conncetion to the CIMOM */
   cc = cmciConnect("localhost", NULL, NULL, NULL, NULL, NULL);

   objectpath = newCMPIObjectPath("root/cimv2", NULL, NULL);
   enumeration = cc->ft->enumInstanceNames(cc, objectpath, &status);

   if (!status.rc) {
    fprintf(stderr, "operation error code %d description %s,
            status.rc, status.msg->hdl);
    abort();
   }

CONFORMING TO

SEE ALSO
Common Manageability Programming Interface (CMPI) - OpenGroup,
CMCIClient(3), CMPIEnumeration(3), CMPIObjectPath(3), CMPIStatus(3)